Subject: Re: Floating point in 8260

From: Jim Lewis <[email-masked]>
Date: Tue, 30 May 2000 08:27:11 -0500

If you are dead-set against upgrading the CPU, you can run a root filesystem
that is COMPLETELY without FP instructions (built to use soft-float). The
MontaVista 8xx CDK should work fine.  Just make sure you don't mix it (the 8xx
CDK) with other binaries.

-Jim
zzh wrote:

> I make a port to motorola 8260 ads based on 2.2 kernel.
> Now i am sure the kernel is fuctional,because i can run a
> simple program that fork process and write to stdout.
> I use simple assembly to make system call and does not
> use any c lib.
> When i try to run bash,8260 loops inside FPunavailble
> exception.The 2.2 kernel support 603 with a FP,but
> how should i do with 603e.
> >From this lists,i learned that someone else encounter
> similar problem,they upgrade to a 8260 with FP.
> I do not want to upgrade,how should i do?
> Should i recompile the bash and c lib.How should i treat
> float point.BTW,i have a apple G3,should i compile
> these stuff on this machine?
>
>  Best Regards.
>
> _____________________________________________
> Ò»Â·ÉÏÓÐÄã£¬¿àÒ»µãÒ²Ô¸Òâ£¡
> --ÎªÄãÏ²°®ÓëÖ§³ÖµÄ263Ê×¶¼ÔÚÏß£¨http://www.263.net£©Í¶Ò»Æ±£¡
> ÎÒÒªÍ¶Æ±£¡£¨http://fsurvey.cnnic.net.cn/survey/index.html£©
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/